Home  |  Message Board  |  Contact Us  |  About Us  |  Fan Pics  |  Fan Polls  |  RSS Feed  |  Top of Thread  |  Login  |  Register
Display By:
Home  |  Message Board  |  Top of Thread  |  Login  |  Register
Display By:

Previous Thread   |  Top Of Board  |  Start New Thread  |   Next Thread
bollingtonblue Posted on 06/06/2019 09:12
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message
 
Does the HMRC Winding up petition postponed to 26th June still stand? Does the club still owe £76,000 in unpaid tax?
IP: Logged
Ron_Ipstone Posted on 06/06/2019 10:56
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
I don't know the answers to your questions, but I know that a winding up petition must be advertised in the London Gazette at least 7 business days before the hearing date, which for a hearing on 26 June would be on or before 14 June. So far the petition has not been advertised, so we can say that HMRC have not pulled the proverbial plug yet, but that's not to say they will not do so.

IP: Logged
macchiavelli Posted on 14/06/2019 09:01
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
14th June today, Ron. Any info yet?
IP: Logged
Ron_Ipstone Posted on 14/06/2019 11:29
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Just done a search in the London Gazette and nothing is showing for Macclesfield Town Football Club Ltd.

It will be interesting to hear what the Supporters Trust discovered with their meeting with Amar as what stage the proceedings are at.

Whilst no news might be good news, a lot of folk are holding off buying a season ticket pending the outcome of the petition and if a deal has been done with HMRC, it would be sensible for that fact to be made known.
IP: Logged
macchiavelli Posted on 14/06/2019 11:45
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Thanks for responding.[^] I think it's important that we learn, as far as possible, what the facts are.
IP: Logged
fossey Posted on 14/06/2019 13:34
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
BBC say its the 26th of june
IP: Logged
The_Boss Posted on 14/06/2019 17:14
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Would Monday 17th not be 7 business days before June 26th?
IP: Logged
Ron_Ipstone Posted on 14/06/2019 17:24
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
I think that it should be advertised 7 clear business days before the hearing, which would exclude the day of the advert and the day of the hearing.

IP: Logged
madm Posted on 17/06/2019 19:22
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
For the record, I really can't imagine HMRC winding up the club for such a relatively small amount. That said the business of the club has become smoke and mirrors and we all deserve better.
IP: Logged
bollingtonblue Posted on 25/06/2019 23:25
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
We are number 12 on a list of companies court winding up orders to be heard tomorrow (Wednesday).
IP: Logged
macchiavelli Posted on 26/06/2019 07:00
HMRC Winding up petition
Edited On: 26/06/2019 08:00
Report Message | Email Message To A Friend | Reply To Message 

 
Bury (who owe a lot more than us, allegedly) have proposed a CVA to stave off their creditors, but this could, if accepted, result in a 12 point deduction next season.

Absolutely zilch about our WUP on the OS. I wonder why not? 😄
IP: Logged
Ron_Ipstone Posted on 26/06/2019 09:02
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
No advertising of the petition in the London Gazette so no chance of a winding up order being made today. It will either be adjourned to a later date or it will be dismissed.
IP: Logged
macchiavelli Posted on 26/06/2019 09:07
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
The latter would be good.
IP: Logged
Askey14 Posted on 26/06/2019 11:00
HMRC Winding up petition
Edited On: 26/06/2019 11:01
Report Message | Email Message To A Friend | Reply To Message 

 
Macclesfield Town FC are in court over this matter today, according to the court list.

Link: https://www.justice.gov.uk/courts/court-lists/list-companies-winding-up
IP: Logged
English_Sam Posted on 26/06/2019 11:58
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Do the results get posted anywhere
IP: Logged
Fola Posted on 26/06/2019 13:05
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
It's so annoying. No media coverage and no nothing.

Nobody cares. We don't deserve to be a league club with this lack of interest.
IP: Logged
gettoit Posted on 26/06/2019 13:44
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Southend are also in court today for the same reason. There isn’t any media coverage of that either. It’s the third or fourth time we’ve been in court this year alone.
IP: Logged
fossey Posted on 26/06/2019 14:46
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
At last all sorted debt is paid yipee
IP: Logged
pauljames Posted on 26/06/2019 15:05
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
There you go. To all those having a pop about no announcements. As my old dad used to say, " say nowt unless you've got something useful to say."
Just hope this is the last time this topic has to be covered.
IP: Logged
English_Sam Posted on 26/06/2019 15:23
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Not quite, back again next week
IP: Logged
fossey Posted on 26/06/2019 15:28
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Its on the website now saying all sorted
IP: Logged
English_Sam Posted on 26/06/2019 15:44
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Not according to Sky , another creditor is involved adjourned to 3rd July
IP: Logged
fossey Posted on 26/06/2019 16:31
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Correct just came up on BBC League 2. Edgerton want 20000 not paid from last season
IP: Logged
maccman Posted on 26/06/2019 17:17
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Seems to be our owner’s way of doing business. Don’t pay until you really have to or, better still, don’t pay at all. Player’s wages included. Poor way to do said business. At least HMRC are sorted - they’re the ones you really don’t want to owe .
IP: Logged
Fola Posted on 26/06/2019 17:56
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Egerton youth club still owed £20k.

Where will we be training this season?
IP: Logged
Silkmanfwd Posted on 26/06/2019 18:15
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
South Park?[:I]
IP: Logged
Littleboroughblue Posted on 26/06/2019 19:34
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
The word is out about the way we have treated Egerton so what club or organisation can in there right mind trust us to train at there facilities?
IP: Logged
pauljames Posted on 26/06/2019 20:25
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Would not be unreasonable for any organisation / landlord looking to take our business to request a sizeable payment up front, given our awful track record.
IP: Logged
bollingtonblue Posted on 26/06/2019 21:11
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
The way our club is being run is an embarrassment. Come on AA get your act together please as it reflects on everyone associated with the club.
IP: Logged
Littleboroughblue Posted on 26/06/2019 21:34
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Sol
Take them for a run up the hollins then throw a tyre around them for a few laps of the moss aka wraggy days at least we new where we were communication happened then
IP: Logged
supermacc Posted on 26/06/2019 22:50
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Owing £20k for use of a training facility seems like quite of lot of money to me.

I assume the club were kicked out once the account reach a certain number of days due, implying the monthly payments were quite considerable.

Has anyone been to Egerton? Is a ‘state of the art’ training complex or just a few grass pitches?

Not that I condone breaching a contract, just wondered how we’ve ended up owing so much [:(]
IP: Logged
macchiavelli Posted on 27/06/2019 05:04
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
I think Egerton has 1 full-size artificial pitch, which would have allowed training to continue in inclement weather.
IP: Logged
Fola Posted on 27/06/2019 08:54
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
No Egerton is more than that. It is really nice to be fair.

We surely will have a training location sorted with pre season training starting Monday? [rle][rle][rle][rle]
IP: Logged
Fola Posted on 27/06/2019 08:59
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
http://www.egertonyouthclub.co.uk/
IP: Logged
macchiavelli Posted on 27/06/2019 11:19
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
If I were potentially providing training facilities to the club, I would want some robust legal guarantees, if (allegedly), the previous provider was not paid.
IP: Logged
supermacc Posted on 27/06/2019 22:19
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Watched the sales video and it looks like a nice set up for the lads to use. It’s a shame we couldn’t afford the rent [:(]

I’m sure the club will be exploring other options, school playing fields and council leisure facilities the most likely options whilst AA suffocates the club by its purse strings
IP: Logged
macchiavelli Posted on 28/06/2019 09:51
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
If we owe Egerton £20k, should we also add on to that how much we still owe players in unpaid wages?
IP: Logged
bollingtonblue Posted on 03/07/2019 08:10
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Can anyone give any sensible explanation about why some players have not been paid? I can only assume that AA has serious personal financial problems and just does not have the money. Another possibility is that he is about to sell the club and does not want to put further funds in. Are there any other possibilities?
IP: Logged
macchiavelli Posted on 03/07/2019 08:23
HMRC Winding up petition
Edited On: 03/07/2019 08:25
Report Message | Email Message To A Friend | Reply To Message 

 
Amar still sees the club as an asset, which he wants to try and maintain with minimum outlay. I think he still clings on to the hope that, if he can unload it on to someone else, he will maybe at least have the opportunity to cut his losses.

This is just speculation of course, but that may be why he turned down 2 offers to sell out.
IP: Logged
Fola Posted on 03/07/2019 13:37
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Macclesfield Town's winding-up petition has been adjourned until 14th August.

Egerton Youth Club have been paid, and one of the unpaid players will now take over as lead petitioner.
IP: Logged
LancsMacc Posted on 03/07/2019 13:40
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
And so it goes on, another month of dragging the club's name through the mud.
IP: Logged
Fola Posted on 03/07/2019 16:04
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Further to our hearing at the High Court earlier today, we would like to advise supporters of it's outcome.

First of all, it has been widely publicised that the winding up petition that we were subject to was led by Egerton Youth Club. We are pleased to confirm that this issue has now been settled in full.

Secondly, the petition was added to by a group of six players who were at the Football Club last season in relation to wage payments.

We are also aware of a statement issued by aforementioned group prior to the hearing and would like to apologise most sincerely to each one of them for the delay.

Despite this we were disappointed by the actions taken against us by this group, due to the fact that some of the players involved have now moved on to other clubs, whilst others did not appear for the club once during their time with us.

The court hearing was adjourned until 14th August, yet we are working hard to conclude this issue in the quickest time possible.

In addition to this, we are liaising regularly with both the EFL and the PFA and they are fully aware of our efforts to resolve the matter.
IP: Logged
Fola Posted on 03/07/2019 16:18
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Reply from Harry Smith:

"Seen it all now..🤨 I was not one of the 6 players but I completely back who has taken it further. Regardless if you have “moved on or not played a minute for the club” that’s IRRELEVANT.
No one works for free. What a disgusting and gutless statement #shambles"
IP: Logged
silkmen_away Posted on 03/07/2019 17:08
HMRC Winding up petition
Edited On: 03/07/2019 17:08
Report Message | Email Message To A Friend | Reply To Message 

 
Agree with Harry, really poor statement/sentiment from the club. Given that it seems to take a winding up petition to get the club to finally pay what they owe, what honestly do they expect to happen? Didn't play, moved on, weak as XXXXXX excuse.
IP: Logged
pauljames Posted on 03/07/2019 17:08
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Could not agree with HS more. Unless a contract is specifically "performance or appearance " based, ( in which case, it is unlikely a player would sign it), there are absolutely no grounds for not paying someone there basic salary. Very foolish statement to make. I suspect the comment made by the owner during his session with the SST, concerning future contracts being linked to performance and commitment in training is linked to this.
IP: Logged
metz1984 Posted on 03/07/2019 17:36
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Harry Smith is spot on,its a disgracfull way to treat the staff..if he does not want to run the club Amar should go..[:(!]
IP: Logged
Silkmen12345 Posted on 03/07/2019 18:26
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
The man lacks any integrity. Absolute scum of the earth.
IP: Logged
supermacc Posted on 03/07/2019 21:43
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
The inability of the club to pay it’s players on time is bad enough. However I’m absolutely gobsmacked by that sentence.

The statement needs to be edited or removed ASAP.

The club needs to look at its process for publishing statements as that cannot have been approved by anyone with half a brain cell.

It really is shameful. [rle]
IP: Logged
maccman Posted on 03/07/2019 22:33
HMRC Winding up petition
Edited On: 03/07/2019 22:43
Report Message | Email Message To A Friend | Reply To Message 

 
Who is in the position to write and post it ? Who controls the official website ? To post that statement shows a complete lack of legal awareness and sensibility. Who is/are the "we" in this statement ? ( As in we are disappointed ...)
IP: Logged
drawd0ow Posted on 03/07/2019 22:44
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Who are the 6 players who brought this winding up petition?
IP: Logged
silkmen_away Posted on 03/07/2019 23:11
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Follow-up post on the phoenix SLE site now


https://thestarlaneend.wordpress.com/2019/07/03/mtfc-players-follow-up-statement/

Link: link
IP: Logged
maccman Posted on 04/07/2019 08:44
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Expect we all agree with that follow up statement. So, we're now unable to make any signings until this is resolved which should bring things to a head. Wonder who the representative of the club was - apart from the owner,who is involved ?
IP: Logged
Skolender Posted on 04/07/2019 09:01
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Ive been told Caroline Hall is making decisions and will be the next CEO.
IP: Logged
macchiavelli Posted on 04/07/2019 09:10
HMRC Winding up petition
Edited On: 04/07/2019 09:24
Report Message | Email Message To A Friend | Reply To Message 

 
The WUP is starting to look more like the 4 x 400m relay than a legitimate legal process.

Every time there is a hearing and a major creditor is pacified, another one picks up the baton and another hearing is scheduled. HMRC to Egerton to unpaid players. Is this ever going to end? I wonder who is running the anchor leg?

I don't know if there is now a transfer embargo, but I certainly think there should be until all legitimately contracted players have been paid.

IP: Logged
bollingtonblue Posted on 04/07/2019 09:58
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
If AA has just secured a loan surely the six players who have not received their wages should be paid immediately and any transfer embargo should be avoided.
How did we get in to this mess and I wonder if Mark Blower's resignation was linked to this? It looks as though AA allowed SC to make all those January signings against MB's advice.
IP: Logged
drawd0ow Posted on 04/07/2019 10:04
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Wake up snowflakes
Why all the surprise that 6 out of 33 on the books at the end of last season are 2 months late in payment.
It's cash flow problem pure and simple.
No money in since last game of
season.
Outgoings new floodlights, new dugouts, new pitch surface, full time under 21s academy put in place.
All contracted players for new season being paid.
The negative 6 out of contract players not been paid.
Who are they? The normal legal process is the County court or even the small claims court. A winding up order is not the proper process.
I even have sympathy with the club statement.
If certain players have been going through the motions for months at training knowing they have a contract to be paid regardless of how little they do being paid late is not the end of the world.
I ask again who are these 6.

IP: Logged
Ron_Ipstone Posted on 04/07/2019 10:42
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
If you are owed money by a limited company, and there is no doubt about that fact, then you are entitled to petition for a winding up on the grounds that the company is insolvent, and the evidence of that insolvency is the failure to make payment of undisputed debts.

I do not know who the 'Six' are but assume that they are six of the ten who were let go by Macc when the retained list was published back on 19th May.

There are two things which I find strange. The first is that despite the warning the club did not arrange to have payment made to the Six before the hearing on 3rd July.

The second is that it is only HMRC, Egerton and the Six who have appeared to support the petition. I realise that it has not yet been advertised in the London Gazette but this winding up petition has received nationwide publicity, made all the more newsworthy by the fact that six former players are seeking the winding up of the club for which they once played,

If there are more creditors lurking in the background then once they see that they can get their money by just instructing a brief to turn up at the Companies Court, as will have happened with our gallant Six, then we might have more in support of the petition and it might drag on well into the new season.
IP: Logged
lythamandblues Posted on 02/08/2019 15:03
HMRC Winding up petition
Edited On: 02/08/2019 15:04
Report Message | Email Message To A Friend | Reply To Message 

 
Petitions to Wind Up (Companies)
In the HIGH COURT OF JUSTICE

BUSINESS AND PROPERTY COURTS OF ENGLAND AND WALES, INSOLVENCY AND COMPANIES LIST (ChD) No 810 of 2019

In the Matter of MACCLESFIELD TOWN FOOTBALL CLUB LIMITED

(Company Number 00415853)

and in the Matter of the THE INSOLVENCY ACT 1986

A Petition to wind up the above-named company (registered no 00415853) of MOSS ROSE GROUND, LONDON ROAD, MACCLESFIELD, CHESHIRE, SK11 7SP presented on 23 July 2019 by Shamir Mullings, of 23 Peter's House, Cunningham Road, N15 4TD (the Petitioner) claiming to be a creditor of the company, will be heard at The Rolls Building, 7 Rolls Buildings, Fetter Lane, London, EC4A 1NL

Date: Wednesday 14 August 2019

Time: 10:30 hours

(or as soon thereafter as the petition can be heard)

Any person intending to appear on the hearing of the petition (whether to support or oppose it) must give notice of that intention in accordance with rule 7.14 by 16.00 hours Tuesday 13 August 2019.

The petitioner's solicitor is Brandsmiths, 10th Floor, Chancery Place, 50 Brown Street, Manchester, M2 2JG, Email: davids@brandsmiths.co.uk, Telephone: 0161 457 1685, Ref: 736.1

31 August 2019

Link: The Gazette
IP: Logged
straightouttacrompton Posted on 02/08/2019 23:12
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Is this the one some players put in? The ones who hadn't been paid? I don't really know what is going on... Can someone enlighten please?
IP: Logged
metz1984 Posted on 02/08/2019 23:17
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
We shortly won't be having our local club,that I think is going on..
IP: Logged
weirsbenday Posted on 03/08/2019 00:56
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
I have supported this club since the mid 1960's. There have have been some really great times over the years like playing Fulham at the Moss and giving them a cracking game and a run for their money. Our club has always punched above its weight and has got the respect as a result. But to now hear that an ex player is having to resort to a winding up order to get paid outstanding wages has to be an all time low for our club. I really fear for the future of MTFC
IP: Logged
MenorahTableofShowbread Posted on 03/08/2019 01:10
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
I understood there to be 6 players. I had even been made aware of the names of 3 of the others.

Does anyone understand how this works? Is Mullings the test case representing all 6?
IP: Logged
bollingtonblue Posted on 12/08/2019 16:43
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
A Petition to wind up the above-named company (registered no 00415853) of MOSS ROSE GROUND, LONDON ROAD, MACCLESFIELD, CHESHIRE, SK11 7SP presented on 23 July 2019 by Shamir Mullings, of 23 Peter's House, Cunningham Road, N15 4TD (the Petitioner) claiming to be a creditor of the company, will be heard at The Rolls Building, 7 Rolls Buildings, Fetter Lane, London, EC4A 1NL

Date: Wednesday 14 August 2019

Time: 10:30 hours
IP: Logged
Smoky2 Posted on 12/08/2019 16:51
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
All sorted. .
IP: Logged
Silkmanfwd Posted on 12/08/2019 17:07
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
I assume the hearing will still happen on Wednesday. From my little knowledge of the whole sorry affair the outstanding wages have been paid and the proceedings will be dropped. Of course I may be completely wrong!![sad]
IP: Logged
Ron_Ipstone Posted on 12/08/2019 17:23
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Indeed the hearing having been advertised will go ahead and any other creditor could turn up and take over the petition.
IP: Logged
Fola Posted on 13/08/2019 14:30
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Yes we are number 4. Takes place tomorrow at 10:30am.

https://www.justice.gov.uk/courts/court-lists/list-companies-winding-up
IP: Logged
lythamandblues Posted on 13/08/2019 19:59
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Posted by BBC Radio Manchester Sport on twitter c. 2 hours ago:

"Macclesfield Town's unpaid former players - who were listed at the High Court tomorrow over a winding up petition - have released the following statement.

“We are pleased to say that today we have been paid all outstanding salary payments owed to us by Macclesfield Town.

The last couple of months have been extremely tough, but we are glad that the matter has now been resolved and we can all look forward to our future careers.

We would like to thank our lawyers, Brandsmiths and in particular David Seligman and Imani Modahl who have worked tirelessly along with the PFA to ensure we are paid in full.

We would like to thanks [sic] all Macclesfield fans for their support through the last few seasons and tough times. We wish you and the Club every success for the future.”"
IP: Logged
phil_macc Posted on 14/08/2019 11:21
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
The BBC are reporting:

“The winding-up petition against Macclesfield Town has been adjourned until September 11th.

The case of former players has been dismissed with HMRC now taking over”.

I thought we’d paid HMRC off?

IP: Logged
TythyBlue Posted on 14/08/2019 11:29
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
Obviously not paid the current liability now after previously catching up on outstanding liability
IP: Logged
macchiavelli Posted on 14/08/2019 11:34
HMRC Winding up petition
Edited On: 14/08/2019 11:35
Report Message | Email Message To A Friend | Reply To Message 

 
I think we are all being wound up here.

This just seems the usual excellent opportunity for lawyers to make money in a 'relay race', where every time a plaintiff is eliminated, someone else picks up the baton, and round we go again.

Would it really be that difficult to get everyone who feels they have a valid claim to register it at the outset?

This could go on for ever!
IP: Logged
lymeview Posted on 14/08/2019 12:34
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
We "won" £5,000 yesterday - couldn't we pay someone off with that this afternoon?
IP: Logged
Askey14 Posted on 14/08/2019 18:13
HMRC Winding up petition
Edited On: 14/08/2019 18:23
Report Message | Email Message To A Friend | Reply To Message 

 
A "sorry not sorry" kind of statement just posted.

Why can they not just give an honorable apology without a diatribe about how the players were wrong.

I love MTFC but if I was employed by them and they stopped paying me, I would not be guilt tripped by talk of 145 years of history.

It's not unpaid players who have put that at risk.

Link: MTFC
IP: Logged
Smoky2 Posted on 14/08/2019 20:16
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
The clubs statement puts all this to bed now as far as I am concerned .
Hopefully now even Ron can revert to the football , and get back to telling us about tactically clueless and inept management [:P]
IP: Logged
saltpie Posted on 14/08/2019 20:46
HMRC Winding up petition

Report Message | Email Message To A Friend | Reply To Message 

 
I agree with Askey 14 if the statement hadn't included the blame part I would have been perfectly happy .
The club or whoever was responsble for the late payment should just admit their error without trying to share the blame elsewhere
IP: Logged
Previous Thread  |  Start New Thread  |  Top Of Board  |  Top Of Thread  |  Next Thread



Home  |Message Board  |  Top of Board  |  Login  |  Register


Copyright © 2008 to 2019 Fansonline.net Ltd

FansOnline.net Ltd
Unit 7
Brentnall Center
Gilkes Street
Middlesbrough
Cleveland
TS1 5AP
Fansonline Home | About Fansonline | Contact Fansonline | Advertise On Fansonline | Privacy Policy | TOS
10.0.166.213